# Chat

Sending messages to users grouped by rooms

## Get message

 - [GET /chat/message/{id}](https://docs.transportial.com/apis/chat/handle_5.md): Get message by ID

## Delete message

 - [DELETE /chat/message/{id}](https://docs.transportial.com/apis/chat/handle_282.md): Delete message by ID

## Read message

 - [GET /chat/message/{id}/read](https://docs.transportial.com/apis/chat/handle_26.md): read message by ID

## Update chat external integration

 - [PUT /chat/{chatId}/integrations/{bindingId}](https://docs.transportial.com/apis/chat/handle_287.md): Update an existing external channel integration for a specific chat

## Delete chat external integration

 - [DELETE /chat/{chatId}/integrations/{bindingId}](https://docs.transportial.com/apis/chat/handle_71.md): Delete an external channel integration for a specific chat

## Get chat

 - [GET /chat/{id}](https://docs.transportial.com/apis/chat/handle_452.md): Get chat by ID

## Delete chat

 - [DELETE /chat/{id}](https://docs.transportial.com/apis/chat/handle_77.md): Delete chat by ID

## Unread chat

 - [GET /chat/{id}/unread](https://docs.transportial.com/apis/chat/handle_97.md): Unread chat by ID

## Get all chats

 - [GET /chats/{offset}/{amount}](https://docs.transportial.com/apis/chat/handle_496.md): Get all the chats by offset and amount

## Get all chats

 - [POST /chats/{offset}/{amount}](https://docs.transportial.com/apis/chat/handle_106.md): Get all the chats by offset and amount

## Send message to external channel

 - [POST /chat/{chatId}/send-external](https://docs.transportial.com/apis/chat/handle_113.md): Send a message to a specific external channel (email, WhatsApp, etc.)

## Get chat external integrations

 - [GET /chat/{chatId}/integrations](https://docs.transportial.com/apis/chat/handle_488.md): Get all external channel integrations for a specific chat

## Create chat external integration

 - [POST /chat/{chatId}/integrations](https://docs.transportial.com/apis/chat/handle_140.md): Create or update an external channel integration for a specific chat

## Update chat

 - [PUT /chat](https://docs.transportial.com/apis/chat/handle_158.md): Create a new Chat

## Create chat

 - [POST /chat](https://docs.transportial.com/apis/chat/handle_434.md): Create a new Chat

## Update message

 - [PUT /chat/message](https://docs.transportial.com/apis/chat/handle_345.md): Create a new message

## Create chat message

 - [POST /chat/message](https://docs.transportial.com/apis/chat/handle_265.md): Create a new chat message

## Received message

 - [POST /chat/messages/received](https://docs.transportial.com/apis/chat/handle_302.md): Received message by ID

## Read message

 - [POST /chat/messages/read](https://docs.transportial.com/apis/chat/handle_398.md): read message by ID

## Get all chats

 - [GET /chat/messages/{id}/{offset}/{amount}](https://docs.transportial.com/apis/chat/handle_485.md): Get all the chats by offset and amount

## Search all chats

 - [POST /chat/messages/{id}/{offset}/{amount}](https://docs.transportial.com/apis/chat/handle_427.md): Search all the chats by offset and amount

## Received message

 - [GET /chat/message/{id}/received](https://docs.transportial.com/apis/chat/handle_445.md): Received message by ID

## Get translated message

 - [GET /chat/message:translate/{id}](https://docs.transportial.com/apis/chat/handle_490.md): Get a translated version of the  message by ID

